"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.modules = exports["default"] = void 0;

var _confStore = _interopRequireDefault(require("../paramsStore/confStore"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var modules = {};
exports.modules = modules;

var refrence = function refrence(routes) {
  var deepLoop = function deepLoop(rts) {
    rts.forEach(function (route) {
      route.compMatch = route.component;

      try {
        modules[route.component] = require("pages/".concat(route.component, "/index"));
      } catch (error) {
        modules[route.component] = require("pages/".concat(route.component));
      }

      if (modules[route.component]["default"]) {
        modules[route.component] = modules[route.component]["default"];
      }

      if (route.childRoutes) {
        deepLoop(route.childRoutes);
      }
    });
  };

  deepLoop(routes);
  return routes;
};

var routerConfig = (0, _confStore["default"])();
exports["default"] = routerConfig;
refrence(routerConfig.routes);