"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = scan;

var _modelStore = _interopRequireDefault(require("./paramsStore/modelStore"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function scan() {
  var ct = require.context('tomatoScan', true, /\.c\.js$/);

  var ks = ct.keys();
  var testModals = [];

  for (var i = 0; i < ks.length; i += 1) {
    testModals.push(ct(ks[i]));
  }

  var context = require.context('tomatoScan', true, /\.m\.js$/);

  var keys = context.keys();
  var models = [];

  for (var _i = 0; _i < keys.length; _i += 1) {
    models.push(context(keys[_i])["default"]);
  }

  (0, _modelStore["default"])(models);
}