"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = setHost;

function setHost(conf) {
  if (process.env.NODE_ENV === 'production') {
    if (!sessionStorage.host) {
      if (process.env.HOST_ENV) {
        sessionStorage.host = process.env.HOST_ENV;
      } else {
        sessionStorage.host = conf.prod;
      }
    }
  } else if (process.env.HOST_ENV) {
    sessionStorage.host = process.env.HOST_ENV;
  } else {
    sessionStorage.host = conf.dev;
  }

  window.host = sessionStorage.host;
}