"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { keys.push.apply(keys, Object.getOwnPropertySymbols(object)); } if (enumerableOnly) keys = keys.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function confClassStoreCreate() {
  var context = require.context('../configuration', true, /\.js$/);

  function requireAll(requireContext) {
    return requireContext.keys().map(requireContext);
  }

  var cCs = requireAll(context);
  var config = {};
  cCs.forEach(function (conf) {
    config = _objectSpread({}, config, {}, conf);
  });
  return function (className, conf) {
    if (!className) return config;
    if (!conf) return config[className];
    config[className] = conf;
  };
}

var confClassStore = confClassStoreCreate();
var _default = confClassStore;
exports["default"] = _default;