"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.authorityStatus = void 0;

var _bizTypes = require("../constants/bizTypes");

var authorityStatus = function authorityStatus() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
  var action = arguments.length > 1 ? arguments[1] : undefined;

  switch (action.type) {
    case _bizTypes.CHECK_AUTHORITY:
      return action.visible;

    default:
      return state;
  }
};

exports.authorityStatus = authorityStatus;