"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = gatherReducers;

var _redux = require("redux");

var _reactRouterRedux = require("react-router-redux");

var _kitReducer = _interopRequireWildcard(require("./kitReducer"));

var _bizReducer = require("./bizReducer");

var _modelReducers = _interopRequireDefault(require("./modelReducers"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { keys.push.apply(keys, Object.getOwnPropertySymbols(object)); } if (enumerableOnly) keys = keys.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function gatherReducers() {
  var modReducers = (0, _modelReducers["default"])();

  var reducers = _objectSpread({
    tabBarLocations: _kitReducer["default"],
    parentRouteCompStatus: _kitReducer.parentRouteCompVisible,
    authorityStatus: _bizReducer.authorityStatus,
    routing: _reactRouterRedux.routerReducer
  }, modReducers);

  return (0, _redux.combineReducers)(reducers);
}